텍스트 인코딩: CLIP 모델을 사용하여 clip_l에 입력된 텍스트를 인코딩하고, 텍스트의 주요 특징과 의미 정보를 포착합니다.
향상된 텍스트 이해: T5XXL 대형 언어 모델을 활용하여 t5xxl 입력을 처리하고, 텍스트 설명을 확장하거나 정제하여 더 풍부한 의미 정보를 제공합니다.
멀티모달 융합: CLIP과 T5XXL의 처리 결과를 결합하여 더 포괄적인 텍스트 표현을 만듭니다.
생성 제어: 가이드 파라미터를 통해 텍스트 프롬프트가 이미지 생성에 미치는 영향을 조정하여, 창의적 자유와 프롬프트에 대한 엄격한 준수 사이의 균형을 찾을 수 있습니다.
조건부 데이터 생성: 처리된 조건부 데이터를 출력하여, 이후 이미지 생성 과정에서 생성된 이미지가 텍스트 설명과 일치하도록 합니다.

## 입력

| 파라미터 이름 | 데이터 유형 | 기능 |
|--------------|-------------|------|
| `clip`       | CLIP        | 텍스트 인코딩 및 처리를 위한 CLIP 모델 객체 입력, 일반적으로 DualCLIPLoader와 함께 사용 |
| `clip_l`     | STRING      | 다중 라인 텍스트 입력, CLIP 모델 인코딩을 위한 태그 정보와 유사한 텍스트 입력 |
| `t5xxl`      | STRING      | 다중 라인 텍스트 입력, T5XXL 모델 인코딩을 위한 자연어 프롬프트 설명 입력 |
| `guidance`   | FLOAT       | 생성 과정을 안내하는 부동 소수점 값; 높은 값은 이미지-프롬프트 일치를 증가시키지만 창의성을 감소시킬 수 있음 |

## 출력

| 파라미터 이름 | 데이터 유형 | 기능 |
|--------------|-------------|------|
| CONDITIONING | Condition   | 이후 조건부 생성 작업을 위한 조건부 데이터(cond)를 포함 |
