文本编码：使用 CLIP 模型对 clip_l 输入的文本进行编码，捕获文本中的关键特征和语义信息。
增强文本理解：利用 T5XXL 大型语言模型对 t5xxl 输入进行处理，可能用于扩展或细化文本描述，提供更丰富的语义信息。
多模态融合：将 CLIP 和 T5XXL 的处理结果结合，创建一个更全面的文本表示。
生成控制：通过 guidance 参数调整文本提示对图像生成的影响程度，允许用户在创意自由度和严格遵循提示之间找到平衡。
条件数据生成：输出经过处理的条件数据，这些数据将在后续的图像生成过程中使用，确保生成的图像与文本描述相匹配。

## 输入

| 参数名称    | 数据类型 | 作用 |
|------------|--------|------|
| `clip`     | CLIP   | CLIP 模型对象输入，用于文本编码和处理，通常与 DualCLIPLoader 一起使用 |
| `clip_l`   | STRING | 多行文本输入，输入类似标签 tag 信息的文本，用于 CLIP 模型进行编码 |
| `t5xxl`    | STRING | 多行文本输入，输入自然语言提示词描述，用于 T5XXL 模型进行编码 |
| `guidance` | FLOAT  | 浮点数值，用于指导生成过程，数值越大图像与提示词的匹配度越高但生成的内容可能会缺乏一定创意 |

## 输出

| 参数名称 | 数据类型 | 作用 |
|---------|--------|------|
| CONDITIONING | 条件 | 包含条件数据（cond），用于后续的条件生成任务 |
