이 노드는 SDXL 아키텍처에 맞춰 특별히 설계된 CLIP 모델을 사용하여 텍스트 입력을 인코딩하도록 설계되었습니다. 이 노드는 텍스트 설명을 이미지 생성 또는 조작에 효과적으로 활용할 수 있는 형식으로 변환하는 데 중점을 두며, 시각적 콘텐츠의 맥락에서 텍스트를 이해하고 처리하는 CLIP 모델의 기능을 활용합니다.

## 입력

| パラメータ | 데이터 유형 | 説明 |
| --- | --- | --- |
| `clip` | `CLIP` | 텍스트를 인코딩하는 데 사용되는 CLIP 모델 인스턴스입니다. 텍스트 입력을 처리하고 이를 이미지 생성 또는 조작 작업에 적합한 형식으로 변환하는 데 중요한 역할을 합니다. |
| `width` | `INT` | 이미지의 너비를 픽셀 단위로 지정합니다. 생성되거나 조작된 출력 이미지의 크기를 결정합니다. |
| `height` | `INT` | 이미지의 높이를 픽셀 단위로 지정합니다. 생성되거나 조작된 출력 이미지의 크기를 결정합니다. |
| `crop_w` | `INT` | 자르기 영역의 너비를 픽셀 단위로 정의합니다. 이 매개변수는 처리 전에 이미지를 특정 너비로 자르는 데 사용됩니다. |
| `crop_h` | `INT` | 자르기 영역의 높이를 픽셀 단위로 정의합니다. 이 매개변수는 처리 전에 이미지를 특정 높이로 자르는 데 사용됩니다. |
| `target_width` | `INT` | 처리 후 출력 이미지의 목표 너비입니다. 원하는 너비로 이미지를 크기 조정할 수 있습니다. |
| `target_height` | `INT` | 처리 후 출력 이미지의 목표 높이입니다. 원하는 높이로 이미지를 크기 조정할 수 있습니다. |
| `text_g` | `STRING` | 인코딩할 전역 텍스트 설명입니다. 이 입력은 해당 시각적 표현을 생성하고 설명된 내용을 이해하는 데 중요합니다. |
| `text_l` | `STRING` | 인코딩할 로컬 텍스트 설명입니다. 이 입력은 전역 설명에 추가적인 세부 정보나 맥락을 제공하여 생성되거나 조작된 이미지의 구체성을 향상시킵니다. |

## 출력

| パラメータ | 데이터 유형 | 説明 |
| --- | --- | --- |
| `CONDITIONING` | CONDITIONING | 노드의 출력으로, 인코딩된 텍스트와 이미지 생성 또는 조작 작업에 필요한 추가 정보를 포함합니다. |
